Bug 528584 - RFE: VMware's pvscsi driver for RHEL 5
Summary: RFE: VMware's pvscsi driver for RHEL 5
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
high
medium
Target Milestone: beta
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 553062
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-13 00:01 UTC by Alok Kataria
Modified: 2018-10-27 14:12 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 553062 (view as bug list)
Environment:
Last Closed: 2010-05-14 18:14:54 UTC
Target Upstream Version:


Attachments (Terms of Use)
Driver for VMware's virtual SCSI HBA. (52.87 KB, patch)
2009-10-13 00:01 UTC, Alok Kataria
no flags Details | Diff

Description Alok Kataria 2009-10-13 00:01:52 UTC
Created attachment 364532 [details]
Driver for VMware's virtual SCSI HBA.

I am filing this bug as part of our effort to get VMware's pvscsi driver included in RHEL *6* release. Please note that I chose RHEL5 as product type since there is no other option. This request is *only* for RHEL 6.

Some background about PVSCSI :
PVSCSI is a new storage adapter that VMware implemented some time back, this storage adapter is being supported in existing shipping products from VSphere 4.0. Until now we used to ship the driver for this PCI device as part of our VMware tools package. Though, going forward we plan to upstream this and our equivalent networking driver (vmxnet3) in the mainline kernel.
Inclusion of this new driver will help easy enablement of the PVSCSI storage adapter for RHEL 6 guests running under VMware hypervisors that support such devices.

I have already proposed this driver for inclusion in the mainline kernel over here.
http://marc.info/?l=linux-kernel&m=125478930018373&w=2

This driver has already gone through reviews and multiple iterations on LKML and we believe it is ready for inclusion. Also note that, this driver is well tested with both the 2.6.31 and 2.6.32 kernels and should apply to either of these kernels without any major functional changes.

I have also attached a patch on top of 2.6.32-rc1 on this bug for easy reference. Please take a look at this for RHEL 6 inclusion and let me know if you have any review comments. 

Thanks.

Comment 1 Alok Kataria 2009-10-30 00:22:06 UTC
FYI, this driver was merged today in the SCSI tree, it is scheduled for 2.6.33 for the upstream merge. 

http://git.kernel.org/?p=linux/kernel/git/jejb/scsi-misc-2.6.git;a=commit;h=8ffa03d9584e440816ef642ca4e44b3c377da9fe

Comment 2 Bhavesh Davda 2010-01-06 23:53:24 UTC
Why was the Summary changed from requiring this in RHEL6 to requiring this in RHEL5? Thanks!

Comment 3 Alok Kataria 2010-01-19 20:28:42 UTC
Hi Subhendu, 

As discussed on email, given that we are looking to inbox the driver with the RHEL 6 release, should we close this bug for now ? 

Thanks.

Comment 7 Subhendu Ghosh 2010-05-14 18:14:54 UTC
Alok

closing as NOTABUG

thanks
Subhendu

Comment 8 James M. Leddy 2010-05-14 18:20:13 UTC
Subhendu, can we close bz 574588 while we're at it?


Note You need to log in before you can comment on or make changes to this bug.